Bug 680117 (CVE-2010-4746) - CVE-2010-4746 Directory Server: Multiple memory leaks in the normalization functionality
Summary: CVE-2010-4746 Directory Server: Multiple memory leaks in the normalization fu...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2010-4746
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 663597
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-24 12:02 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-19 16:58:32 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-02-24 12:02:02 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-4746 to
the following vulnerability:

Multiple memory leaks in the normalization functionality in 389
Directory Server before 1.2.7.5 allow remote attackers to cause a
denial of service (memory consumption) via "badly behaved
applications," related to (1) Slapi_Attr mishandling in the DN
normalization code and (2) pointer mishandling in the syntax
normalization code, a different issue than CVE-2011-0019.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-4746
[2] http://directory.fedoraproject.org/wiki/Release_Notes
[3] https://bugzilla.redhat.com/show_bug.cgi?id=663597

Comment 1 Tomas Hoger 2011-04-19 11:04:58 UTC
Nathan, Rich, did this affect any released Red Hat Directory Server 8 versions? From a quick look at the patch, it seems that the memory leak may have been introduced as part of the other normalization fixes in 8.2.3 and probably did not affect 8.2.2, which would explain why the memory leak bug was not described in RHBA-2011:0003.

Comment 2 Rich Megginson 2011-04-19 13:21:06 UTC
These did affect rhds 8.2 and we did release an errata to fix them in rhds 8.2

Comment 3 Tomas Hoger 2011-04-19 14:52:57 UTC
Did it affect released 8.2 version though.  As mentioned, I know the relevant bug is linked from 8.2.3 update, but the relevant part of the fix:

http://git.fedorahosted.org/git/?p=389/ds.git;a=commitdiff;h=4da627a

proper freeing of test_attr is not applicable to 8.2.2.  It seems that the issue was both introduced and fixed in between 8.2.2 and 8.2.3 for RHDS.

Comment 4 Nathan Kinder 2011-04-19 15:11:36 UTC
The leak was introduced by the fix for bug 641944, which was checked into the DS 8.2 branch on 2010-12-09.  This leak was never in a released 8.2 version of Red Hat Directory Server.

Comment 5 Tomas Hoger 2011-04-19 16:58:32 UTC
Thank you, Nathan!

Statement:

Not vulnerable. This issue did not affect Red Hat Directory Server 8 packages.


Note You need to log in before you can comment on or make changes to this bug.